/////
// biomorfy - praca so zasobnikom suradnic
/////

#include "pbio_sur.h"


/////
// SUR_POSUN: vkladanie a vyberanie zo zasobnika
/////
void sur_posun(Suradnice sur[], int x)	// "x":
{					//  - zaporne: vyberie x hodnot zo zasobnika (vybrate hodnoty sa stracaju)
int i,j;				//  - kladne: vlozi x rovnakych hodnot zo zasobnika
 if(x>0)
  for(i=SurStackSize-1-x, j=SurStackSize-1; j>0; j--)
  {
   sur[j]=sur[i];
   if(i>0) i--;
  }
 if(x<0)
  for(i=0, j=-x; i<SurStackSize-1; i++)
  {
   sur[i]=sur[j];
   if(j<SurStackSize-1) j++;
  }
}


/////
// EQUAL: porovnanie dvoch "suradnic"
/////
int equal(Suradnice &x, Suradnice &y)
{
int i;
char *c, *d;
 c=(char *)&x;
 d=(char *)&y;
 for(i=0; i<sizeof(Suradnice); i++) if(c[i]!=d[i]) return 0;
 return 1;
}
