/////
// PBIO - program na generovanie Pickoverovych biomorfov
/////


#include "pbio.h"

/////
// UVOD: vykreslenie uvodneho obrazku
/////
void uvod()
{
int i, j;
FILE *f;
char b[320];
 if((f=fopen("pbio.scr","rb"))==NULL) return;
 cleardevice();
 for(j=0; j<200; j++)
 {
  if((fread(b,sizeof(b),1,f))!=1) break;
  for(i=0; i<320; i++)  putpixel(i+160,j+140,b[i]);
  if(kbhit()) break;
 }
 fclose(f);
 while(!kbhit());
 while(kbhit()) getch();
}


/////
// MAIN:
/////
void main()
{
int err, gd, gm;

 gd=9; gm=2;
 initgraph(&gd, &gm, "");          // prepnutie do grafickeho rezimu
 err=graphresult();                //  640x480, 16 farieb
 if (err!=grOk)
 {
   printf("Graphics error: %s\n", grapherrormsg(err));
   return;
 }
 uvod();                 // uvodny obrazok
 biomorf();              // hlavna procedura
 closegraph();           // vypnutie grafickeho rezimu
 printf("\n     BIOMORPH                                           /c/ Martin Palko\n\n");
}
