
#include <complex.h>

#define SurStackSize 25


typedef struct {	// typ "Suradnice":
 int N;			//  max. pocet iteracii (pre 1 bod)
 complex u;		//  komplexna konstanta (sucast iteracnej funkcie)
 double r0,r1,i0;	//  hranice vyrezu komplexnej roviny (horna hranica na imaginarnej osi sa vypocitava tak, aby obraz nebol zdeformovany)
 double T;		//  prahova hodnota
 int blackNwhite;	//  1 - ciernobiely obrazok, 0 - 16 farieb
} Suradnice;
